import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class HeaderInformation extends HttpServlet {
  
  public void doGet(HttpServletRequest req, HttpServletResponse res)
  throws IOException, ServletException {
  printHeader(req, res);
  }
  public void doPost(HttpServletRequest req, HttpServletResponse res)
  throws IOException, ServletException {
  printHeader(req, res);
  }
  public void printHeader(HttpServletRequest req,
  HttpServletResponse res) throws IOException, ServletException {

    String header = null;
    String head = "<html><head><title> Header Information</title></head><body>";
    String foot = "</body></html>";

    res.setContentType("text/html");
	PrintWriter pw = res.getWriter();
    Enumeration enumeration = req.getHeaderNames();
	pw.println(head);
	pw.println("<h2> Header Information </h2>");
	pw.println("<B>Request Method: </B>" +
                req.getMethod() + "<BR>\n" +
                "<B>Request URI: </B>" +
                req.getRequestURI() + "<BR>\n" +
                "<B>Request Protocol: </B>" +
                req.getProtocol() + "<BR><BR>\n" );

    pw.println("<table>");

    
    while (enumeration.hasMoreElements()) {
      header = (String) enumeration.nextElement();
      if (header != null) {
        pw.println("<tr><td><b>" + header + "</td>");
        pw.println("<td >" + req.getHeader(header)
            + "</td></tr>");
      }
    }
    pw.println("</table><br>");
    pw.println(foot);

  }
}